# PSF-LoginServer - master - net.psforever.objects.serverobject.pad.VehicleSpawnPadDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.pad.VehicleSpawnPadDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.pad.VehicleSpawnPadDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package pad
  Definition Classes
    serverobject
-  package process
  Definition Classes
    pad
- VehicleSpawnControl
- VehicleSpawnPad
- VehicleSpawnPadDefinition

o

net.psforever.objects.serverobject.pad

# VehicleSpawnPadDefinition 

###
Companion class VehicleSpawnPadDefinition

#### object VehicleSpawnPadDefinition

Source
  VehicleSpawnPadDefinition.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleSpawnPadDefinition
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def prepareKillBox(forwardLimit: Float, backLimit: Float, sideLimit: Float, aboveLimit: Float)(pad: VehicleSpawnPad, flightVehicle: Boolean): (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean

    A function that sets up the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle.

    A function that sets up the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle. All measurements are provided in terms of distance from the center of the pad. These generic pads are rectangular in bounds and the kill box is cuboid in shape.

    forwardLimit

      how far in front of the spawn pad is to be cleared

    backLimit

      how far behind the spawn pad to be cleared; "back" is a squared direction usually in that direction of the corresponding terminal

    sideLimit

      how far to either side of the spawn pad is to be cleared

    aboveLimit

      how far above the spawn pad is to be cleared

    pad

      the vehicle spawn pad in question

    flightVehicle

      whether the current vehicle being ordered is a flying craft

    returns

      a function that describes a region around the vehicle spawn pad

16.  def prepareVanuKillBox(radius: Float, aboveLimit: Float)(pad: VehicleSpawnPad, flightVehicle: Boolean): (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean

    A function that sets up the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle.

    A function that sets up the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle. All measurements are provided in terms of distance from the center of the pad. These pads are only found in the cavern zones and are cylindrical in shape.

    radius

      the distance from the middle of the spawn pad

    aboveLimit

      how far above the spawn pad is to be cleared

    pad

      he vehicle spawn pad in question

    flightVehicle

      whether the current vehicle being ordered is a flying craft

    returns

      a function that describes a region around the vehicle spawn pad

17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  def vanuKillBox(origin: Vector3, radius: Float, aboveLimit: Float)(obj1: PlanetSideGameObject, obj2: PlanetSideGameObject, maxDistance: Float): Boolean

    A function that finalizes the detection for the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle.

    A function that finalizes the detection for the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle. All measurements are provided in terms of distance from the center of the pad. These pads are only found in the cavern zones and are cylindrical in shape.

    origin

      the center of the spawn pad

    radius

      the distance from the middle of the spawn pad

    aboveLimit

      how far above the spawn pad is to be cleared

    obj1

      a game entity, should be the source

    obj2

      a game entity, should be the target

    maxDistance

      the square of the maximum distance permissible between game entities before they are no longer considered "near"

    returns

      `true`, if the two entities are near enough to each other; `false`, otherwise

20.  def vehicleSpawnKillBox(forward: Vector3, side: Vector3, origin: Vector3, forwardLimit: Float, backLimit: Float, sideLimit: Float, aboveLimit: Float)(obj1: PlanetSideGameObject, obj2: PlanetSideGameObject, maxDistance: Float): Boolean

    A function that finalizes the detection for the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle.

    A function that finalizes the detection for the region around a vehicle spawn pad to be cleared of damageable targets upon spawning of a vehicle. All measurements are provided in terms of distance from the center of the pad. These generic pads are rectangular in bounds and the kill box is cuboid in shape.

    forward

      a direction in a "forwards" direction relative to the orientation of the spawn pad

    side

      a direction in a "side-wards" direction relative to the orientation of the spawn pad

    origin

      the center of the spawn pad

    forwardLimit

      how far in front of the spawn pad is to be cleared

    backLimit

      how far behind the spawn pad to be cleared

    sideLimit

      how far to either side of the spawn pad is to be cleared

    aboveLimit

      how far above the spawn pad is to be cleared

    obj1

      a game entity, should be the source

    obj2

      a game entity, should be the target

    maxDistance

      the square of the maximum distance permissible between game entities before they are no longer considered "near"

    returns

      `true`, if the two entities are near enough to each other; `false`, otherwise

    Attributes
      protected
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped